<template>
	<header
		class="absolute inset-x-0 text-gray-100 py-4 flex flex-wrap items-center"
	>
		<div
			class="w-full md:w-3/4 px-4 pb-4 md:pb-0 flex items-center justify-between"
		>
			<ALogo />
			<MLinks class="flex" :links="links" />
		</div>
		<div class="w-full md:w-1/4 px-4">
			<AButton :link="{ name: 'Button', url: '#' }" />
		</div>
	</header>
</template>

<script>
import ALogo from '@/components/Atoms/ALogo.vue'
import AButton from '@/components/Atoms/AButton.vue'
import MLinks from '@/components/Molecules/MLinks.vue'

export default {
	name: 'OHeader',
	props: ['links'],
	components: {
		ALogo,
		AButton,
		MLinks,
	},
}
</script>
